# RANO

"Reliable And Nonstop Operations" for

## Prerequisites

- [deno](https://docs.deno.com/runtime/) to manage node modules
- [go-task](https://taskfile.dev/installation/) to run tasks
  ```bash
  go install github.com/go-task/task/v3/cmd/task@latest
  ```
- [golang-migrate](https://github.com/golang-migrate/migrate) for manual migrations.
  To install [follow instructions](https://github.com/golang-migrate/migrate/tree/master/cmd/migrate)

## Go packages

- [gqlgen](https://gqlgen.com/)
- [mux](https://gitserver.in/patialtech/mux)
- [ent. Go](https://entgo.io/docs/tutorial-setup) ORM

## Web modules

- [SvelteKit](https://svelte.dev/docs/kit/introduction)
- [Tailwind](https://tailwindcss.com/docs/installation)
- [daisyui](https://daisyui.com/docs/install/)
- [urql](https://commerce.nearform.com/open-source/urql/docs/basics/svelte/)
- [GraphQL Codegen](https://the-guild.dev/graphql/codegen)
