import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vite';

export default defineConfig({
	plugins: [sveltekit()],
	server: {
		port: parseInt(process.env.WEB_PORT ?? '3001'),
		fs: {
			allow: ['./web/assets', './web/app.css', './graph']
		}
	}
});
