import aspectRatio from '@tailwindcss/aspect-ratio';
import containerQueries from '@tailwindcss/container-queries';
import forms from '@tailwindcss/forms';
import typography from '@tailwindcss/typography';
import type { Config } from 'tailwindcss';
import daisy from "daisyui";

export default {
  content: ["./web/routes/**/*.{svelte,js}"],
  plugins: [typography, forms, containerQueries, aspectRatio, daisy],
  theme: {
    extend: {},
  },
} satisfies Config;
